Class | Ma::UsersController
In: | app/controllers/ma/users_controller.rb
Parent: | ApplicationController

### Methods

create new

### Public Instance methods

create()

[Source]

        # File app/controllers/ma/users_controller.rb, line 10
    10:   def create
    11:     @user = Journalist.new(params[:user])
    12:     @user.user_ip = request.remote_ip
    13:
    14:     if @user.save
    15:       cookies.delete :auth_token
    16:       # protects against session fixation attacks, wreaks havoc with
    17:       # request forgery protection.
    18:       # uncomment at your own risk
    19:       # reset_session
    20:       # self.current_user = @user
    21:
    22:       # flash[:notice] = "Gracias por registrarte. En breve te daremos acceso a la Agencia y te enviaremos un email con tus datos de acceso."
    23:       # redirect_to params[:return_to] || root_path
    24:       @title = t('users.Gracias_por_alta')
    25:
    26:     else
    27:       @title = t('users.Registro_Agencia')
    28:       render :action => "new"
    29:     end
    30:   end

new()

[Source]

       # File app/controllers/ma/users_controller.rb, line 4
    4:   def new
    5:     @user = Journalist.new
    6:     @title = t('users.Registro_Agencia')
    7:     @breadcrumbs_info = [[@title, signup_path]]
    8:   end

[Validate]